io.vertx.rxjava.ext.web.handler

## Class FaviconHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.FaviconHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class FaviconHandler
      extends Object
      implements Handler<RoutingContext>

  A handler that serves favicons.

  If no file system path is specified it will attempt to serve a resource called `favicon.ico` from the classpath.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaviconHandler(FaviconHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FaviconHandler` | `create()` Create a handler with defaults
    `static FaviconHandler` | `create(long maxAgeSeconds)` Create a handler with the specified max cache time
    `static FaviconHandler` | `create(String path)` Create a handler attempting to load favicon file from the specified path
    `static FaviconHandler` | `create(String path, long maxAgeSeconds)` Create a handler attempting to load favicon file from the specified path, and with the specified max cache time
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static FaviconHandler` | `newInstance(FaviconHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FaviconHandler

          public FaviconHandler(FaviconHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static FaviconHandler create()

      Create a handler with defaults
      Returns:
        the handler

    - #### create

          public static FaviconHandler create(String path)

      Create a handler attempting to load favicon file from the specified path
      Parameters:
        `path` - the path
      Returns:
        the handler

    - #### create

          public static FaviconHandler create(String path,
                                              long maxAgeSeconds)

      Create a handler attempting to load favicon file from the specified path, and with the specified max cache time
      Parameters:
        `path` - the path
        `maxAgeSeconds` - max how long the file will be cached by browser, in seconds
      Returns:
        the handler

    - #### create

          public static FaviconHandler create(long maxAgeSeconds)

      Create a handler with the specified max cache time
      Parameters:
        `maxAgeSeconds` - max how long the file will be cached by browser, in seconds
      Returns:
        the handler

    - #### newInstance

          public static FaviconHandler newInstance(FaviconHandler arg)

Copyright © 2015. All Rights Reserved.